Subject: Seed and Plant Search

From: [email-masked] (howard fujimoto)
Date: Thu, 12 May 1994 00:52:22 GMT

I found an interesting place... Hope it is still in there ( old
information) 

North Star Seed and Plant Search 
Rt 1, Box 2310
Troy, Maine 04987 
207-948-2401

A plant searching service for gardnerswho want to track down had-to-find
plants.  The firms data bank has sources for more that 50,000 plants and
seeds, including herbs, veg., native plants, garden perennials, annual
flowers, bulbs, roses, grasses, ferns, ornimental trees and shrubs, fruits,
nuts, and berries.....

Sounds interesting, somebody want to try it and see how it goes?? 

Patti